Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionInfo

public final class DataCollectionInfo

todo Document

Constructor Summary
`DataCollectionInfo(DataCollection dc, Properties properties, Category cat)`

Method Summary
`void` | `addUsedFile(File file)` Say that file used by data collection.
`ImageIcon` | `getChildrenNodeImage()`
`Comparator` | `getComparator()`
`String` | `getDescription()`
`String` | `getDisplayName()`
`ImageIcon` | `getNodeImage()`
`Properties` | `getProperties()`
`String` | `getProperty(String key)` Returns value of the specified property from config file.
`QuerySystem` | `getQuerySystem()`
`List` | `getUsedFiles()` Return list of all files used by data collection.
`boolean` | `isLateChildrenInitialization()`
`boolean` | `isVisible()` Is this collection should be visible in repository tree.
`boolean` | `isVisibleChildren()` Is elements of this collection should be visible in repository tree.
`void` | `setChildrenNodeImage(ImageIcon img)`
`void` | `setComparator(Comparator value)`
`void` | `setDescription(String description)`
`void` | `setDisplayName(String value)`
`void` | `setLateChildrenInitialization(boolean lateChildrenInitialization)`
`void` | `setNodeImage(ImageIcon img)` Set image for this DataCollection node in repository pane.
`void` | `setQuerySystem(QuerySystem system)`
`void` | `setVisible(boolean f)` Set this collection visible/invisible in repository tree.
`void` | `setVisibleChildren(boolean f)` Set elements of this collection visible/invisible in repository tree.
`void` | `writeProperty(String key, String value)` Write new property to original config file.

Constructor Detail

### DataCollectionInfo

    public DataCollectionInfo(DataCollection dc, Properties properties, Category cat)

Method Detail

### addUsedFile

    public void addUsedFile(File file)

  Say that file used by data collection.

### getChildrenNodeImage

    public ImageIcon getChildrenNodeImage()

### getComparator

    public Comparator getComparator()

### getDescription

    public String getDescription()

### getDisplayName

    public String getDisplayName()

### getNodeImage

    public ImageIcon getNodeImage()

  Returns: image for this DataCollection node in repository pane.

### getProperties

    public Properties getProperties()

### getProperty

    public String getProperty(String key)

  Returns value of the specified property from config file.

### getQuerySystem

    public QuerySystem getQuerySystem()

### getUsedFiles

    public List getUsedFiles()

  Return list of all files used by data collection.
  Returns: List of all files used by data collection.

### isLateChildrenInitialization

    public boolean isLateChildrenInitialization()

### isVisible

    public boolean isVisible()

  Is this collection should be visible in repository tree.
  Returns: Is this collection should be visible in repository tree.

### isVisibleChildren

    public boolean isVisibleChildren()

  Is elements of this collection should be visible in repository tree.
  Returns: Is elements of this collection should be visible in repository tree.

### setChildrenNodeImage

    public void setChildrenNodeImage(ImageIcon img)

### setComparator

    public void setComparator(Comparator value)

### setDescription

    public void setDescription(String description)

### setDisplayName

    public void setDisplayName(String value)

### setLateChildrenInitialization

    public void setLateChildrenInitialization(boolean lateChildrenInitialization)

### setNodeImage

    public void setNodeImage(ImageIcon img)

  Set image for this DataCollection node in repository pane.

### setQuerySystem

    public void setQuerySystem(QuerySystem system)

### setVisible

    public void setVisible(boolean f)

  Set this collection visible/invisible in repository tree.
  Parameters:
    f - Is this collection should be visible in repository tree.

### setVisibleChildren

    public void setVisibleChildren(boolean f)

  Set elements of this collection visible/invisible in repository tree.
  Parameters:
    f - Is elements of this collection should be visible in repository tree.

### writeProperty

    public void writeProperty(String key, String value)
                        throws java.lang.Exception

  Write new property to original config file. Currently this method is essential only for adding QuerySystem to existing DataCollection.

Association Links

to Class java.lang.String

  DataCollection node name in repository pane.

to Class java.lang.String

  DataCollection description. Can be in HTML format.

to Class javax.swing.ImageIcon

  Image for this DataCollection node in repository pane.

to Class javax.swing.ImageIcon

  Image for DataCollection element nodes in repository pane.

to Class java.util.Comparator

  Specifies {@link Comparator} to sort DataCollection elements in repository pane.

to Class ru.biosoft.access.QuerySystem

  {@link QuerySystem} to accelerate DataCollection elements filtering.

to Class java.util.List

  Array with list of all files used by data collection. This list used for permanently removing of data collection.

to Class java.util.Properties

  DataCollection properties from config file.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM